<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BookingListResponse StructType
 * @subpackage Structs
 */
class BookingListResponse extends AbstractStructBase
{
    /**
     * The BookingListRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BookingListRS
     */
    public $BookingListRS;
    /**
     * Constructor method for BookingListResponse
     * @uses BookingListResponse::setBookingListRS()
     * @param \StructType\JP_BookingListRS $bookingListRS
     */
    public function __construct(\StructType\JP_BookingListRS $bookingListRS = null)
    {
        $this
            ->setBookingListRS($bookingListRS);
    }
    /**
     * Get BookingListRS value
     * @return \StructType\JP_BookingListRS|null
     */
    public function getBookingListRS()
    {
        return $this->BookingListRS;
    }
    /**
     * Set BookingListRS value
     * @param \StructType\JP_BookingListRS $bookingListRS
     * @return \StructType\BookingListResponse
     */
    public function setBookingListRS(\StructType\JP_BookingListRS $bookingListRS = null)
    {
        $this->BookingListRS = $bookingListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\BookingListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
